# Uses of Class
org.astrogrid.samp.xmlrpc.HubRunner

Packages that use HubRunner
Package
Description
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of HubRunner in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return HubRunner
Modifier and Type
Method
Description
`static HubRunner`
HubRunner.`runHub(HubMode hubMode, XmlRpcKit xmlrpc)`
Deprecated.
Static method which may be used to start a SAMP hub programmatically.
`static HubRunner`
HubRunner.`runHub(HubMode hubMode, XmlRpcKit xmlrpc, String secret, File lockfile)`
Deprecated.
Static method which may be used to start a SAMP hub programmatically, with a supplied samp.secret string.